Bug 129201 - RHEL 3 U2 cannot join Win2003 ADS
RHEL 3 U2 cannot join Win2003 ADS
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-04 19:56 EDT by Charles Tran
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:21:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Tran 2004-08-04 19:56:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031102

Description of problem:
Cannot join windows 2003 Active Directory domain 

2003 needs MIT kerberos, not available yet from Redhat


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install samba, install kerberos packages,confiure krb5.conf, kdc.conf 
2.use admin account to try and join to the domain
3.use the net join commmand
    

Actual Results:  failes with error 52

Expected Results:  should join ADS domain

Additional info:

this exact configuration has been used in the past to join many other
samba servers to the ADS domain.

per SAMBA Team MIT kerberos must be used to JOIN a Win2k3 (native) ADS
domain.
Comment 1 Charles Tran 2004-08-12 15:40:56 EDT
No one has run into this issue yet??
Comment 2 Paul Witting 2004-09-27 18:24:45 EDT
Yes we have. See bug #114938

I've had luck with Kostas Georgiou's Kerberos packages, I'm not sure 
why Redhat is dragging their heels on this. I encourage you to read 
the whole thread to understand what is happening.

You can get the rpms at http://www.hep.ph.ic.ac.uk/~georgiou/krb5

Comment 3 Charles Tran 2004-09-28 10:19:14 EDT
Paul..
thx for the input.. I have been trying to recompile source rpms from
FC1 to get them working.. but no to no avail...

I will give Kotas' packages a shot.. shame that RedHat is trivializing
this issue.. There will ALWAYS be a need for M$ interoperability.. at
least where I work.. 

thx again..
Comment 4 Matt Seitz 2004-11-18 17:01:35 EST
I am able to join my Windows Server 2003 AD domain from my RHEL3
server using just Red Hat packages:

samba-client-3.0.7-1.3E
samba-common-3.0.7-1.3E
samba-3.0.7-1.3E

krb5-libs-1.2.7-28
krb5-workstation-1.2.7-28
krb5-devel-1.2.7-28

[Administrator@seitz-rhel3 root]# net ads join
Administrator's password:
Using short domain name -- QA4
Joined 'SEITZ-RHEL3' to realm 'QA4.NEOPATHNETWORKS.COM'
Comment 5 RHEL Product and Program Management 2007-10-19 15:21:27 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.